Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class MimeMultipartDataSource

    java.lang.Object
      org.apache.axis.attachments.MimeMultipartDataSource

All Implemented Interfaces:
  javax.activation.DataSource

public class MimeMultipartDataSource
extends java.lang.Object
implements javax.activation.DataSource

Field Summary
`static java.lang.String` | `CONTENT_TYPE`

Constructor Summary
`MimeMultipartDataSource(java.lang.String name, javax.mail.internet.MimeMultipart data)`

Method Summary
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### MimeMultipartDataSource

    public MimeMultipartDataSource(java.lang.String name,
                                   javax.mail.internet.MimeMultipart data)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.